techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Customer Profile
  • Customer Account
    • Registration
      • Register Customer
      • Confirm Customer Registration
    • User Authentication
      • Request OTP
      • Get Access Token
      • Refresh Access Token
    • Customer Profile
      • Profile Details
        GET
      • Wallet Details
        GET
      • Referral Details
        GET
      • Update Platform Version
        POST
      • Activate/Create FCM Token
        POST
      • FCM Token
        DELETE
      • Delete Customer Account
        POST
      • Update Language
        POST
      • Update Avatar
        POST
      • Update Profile
        PATCH
    • Customer Locations
      • List Locations
      • Location Details
      • Create Location
      • Update Location
      • Update Location Image
      • Delete Location
    • List Received Notifications
      GET
  • Items
    • List Items
    • Item Details
    • List Item Categories
    • Item Category Details
    • List Modifier Categories
    • Item Config Details
    • List Bundle Categories
  • Orders
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Cancel Subscription Auto Renewal
  • Fulfillments
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Payment Methods
    • List Payment Methods
    • Delete Payment Method
    • List Enabled Payment Providers
  • Checkout
    • Checkout Config Details
    • Create Cart
    • Update Cart
    • Cart Details
    • List Pickup Locations
    • List Featured Vouchers
    • Get Courier Options
    • Checkout
  • Sales Channels
    • Orders
      • List Channel Subscriptions
      • Channel Subscription Details
      • List Channel Orders
      • Channel Order Details
      • Cancel Channel Subscription
    • Meals Checkout
      • Apply Voucher
      • Redeem
      • Get Discount
      • Place Order
    • List Channel Providers
  • Utilities
    • List Supported Cities
    • Supported City Details
  1. Customer Profile

Delete Customer Account

POST
https://api.techrar.com/api/v2/auth/account-delete/
This endpoint allows you to delete a customer account.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.techrar.com/api/v2/auth/account-delete/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 35295,
    "custom_fields": null,
    "corporate_location": null,
    "is_verified": true,
    "can_change_profile_info": true,
    "corporates": [],
    "additional_info": null,
    "alerts": [],
    "app_id": null,
    "created_at": "2025-10-22T13:43:26.454460+03:00",
    "modified_at": "2025-10-22T14:20:34.644537+03:00",
    "is_deleted": false,
    "deleted_at": null,
    "ordering": 0,
    "has_supported_corporate": false,
    "has_unsupported_corporate": false,
    "corporate_name_other": null,
    "customer_payment_id": null,
    "allergies": "null",
    "is_reserved": false,
    "restaurant_lead_id": 44,
    "apps_ids": "44",
    "blocked_from": null,
    "deleted_from": "44",
    "national_id": null,
    "secondary_mobile_number": null,
    "date_of_birth": null,
    "avatar": null,
    "not_verified_in": null,
    "finger_print": null,
    "allergens_dislikes": [],
    "account": {
        "id": 35370,
        "username": "0534901010",
        "name": "The Safwan",
        "email": "[email protected]",
        "lang": "ar",
        "groups": [
            {
                "id": 1,
                "custom_fields": null,
                "permissions": [],
                "name": "Customer"
            }
        ],
        "current_city_id": null,
        "is_email_verified": false,
        "is_mobile_verified": true
    }
}
Modified at 2026-06-01 12:39:35
Previous
FCM Token
Next
Update Language
Built with